<!DOCTYPE html>
<html lang="en">
  {% include head.html %}
  <body>
    <div class="wrapper">
      <div class="header-wrapper">
        {% include header.html %}
      </div>
      <div class="title"> <h1>Reserveren<h1> </div>
      <section id="home" class="content">
        <div class="information">
          <div class="content1">
            <div class="centre">
              <div id="formwarning" class="centre" style="color: #0A5CA0;">
                {{ content }}
              </div>
              <input autocomplete="off" type='text' class='datepicker-here forminput centre' id="date" data-language='en' placeholder="Gewenste Vaardag" />
              <input class="forminput centre" type="text" id="voornaam" name="voornaam" placeholder="Voornaam">
              <input class="forminput centre" type="text" id="achternaam" name="achternaam" placeholder="Achternaam">
              <input onchange="emailVali()" class="forminput centre" type="email" id="email" name="email" placeholder="Email"><span id='emailSpan' class="forminput centre" style="color:red;display:none">Ongedldige emailadres</span>
              <input class="forminput centre" type="text" id="adres" name="adres" placeholder="Adres">
              <input class="forminput centre" type="text" id="woonplaats" name="woonplaats" placeholder="Woonplaats">
              <input class="forminput centre" type="tel" id="tel" name="tel" placeholder="Telefoon Nummer">
              <select class="forminput centre" id="dagdeel" name="dagdeel">
                <option style="color:grey !important;" value="" hidden>Vaartijd</option>
                <option value="Hele Dag (€170)"> Hele Dag (€170, 10:00 - 18:00)</option>
                <option value="Ochtend (€85)"> Ochtend (€85, 10:00 - 13:00)</option>
                <option value="Middag (€100)"> Middag (€100, 13:30 - 18:00)</option>
                <option value="Avond (€85)"> Avond (€85, 18:30 - 21:00)</option>

              </select>
              <select class="forminput centre" id="boot" name="boot">
                <option style="color:grey !important;" value="" hidden>Voorkeur voor sloep</option>
                <option value="Geen Voorkeur">Geen Voorkeur</option>
                <option value="Elektrisch">Elektrisch</option>
                <option value="Buitenboordmotor">Buitenboordmotor</option>
              </select>
              <select class="forminput centre" id="vertreklocatie" name="vertreklocatie">
                <option style="color:grey !important;" value="" hidden>Vertreklocatie</option>
                <option value="Geen Voorkeur">Geen Voorkeur</option>
                <option value="Harmelen">Harmelen</option>
                <option value="Woerden">Woerden</option>
              </select>
              <input class="forminput centre" type="number" id="person" name="person" placeholder="Aantal Personen">
              <input class="centre" type="text" id="bericht" name="bericht" placeholder="Bericht">
              <input class="button centre" type="button" onclick="validateForm()"value="Reservering" placeholder="submit"></input>
              <p id="formwarning" class="centre" style="display:none; color: red;"> Verplichte velden zijn onjuist of leeg </p>
              <p id="formsuccess" class="centre" style="display:none; color: green;"> Bericht verzonden! We sturen verdere informatie naar het opgegeven email adres. Geen bericht ontvangen? kijk bij spam of neem contact met ons op. </p>
              <p id="contactsupport" class="centre" style="display:none; color: red;">Gelieve ons te contacteren! Er is iets fout gegaan </p>
            </div>

          </div>
        </div>
      </section>
      {% include footer.html %}
    </div>
    {% include goToPage.html %}
    <script defer src="{{site.baseurl}}/js/aws-sdk-2.361.0.min.js"> </script>
    <script defer src="{{site.baseurl}}/js/form.js"></script>
    <script src="{{site.baseurl}}/js/pikaday.js"></script>
    <script>
        function emailVali() {
          var email = document.getElementById("email").value
          var emailSpan = document.getElementById("emailSpan")
          var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
          if (!re.test(email)) {
            emailSpan.style.display = "block"
          }
          else {
            emailSpan.style.display = "none"
          }
        }
        function disable(date, array, string) {
          const op = document.getElementById("boot").getElementsByTagName("option");
          if (array && array.indexOf(date) !== -1) {
            var disabled = true;
          } else {
            var  disabled = false;
          }
          for (var i = 0; i < op.length; i++) {
            if (op[i].value == string) {
              op[i].disabled = disabled
            }
          }
        }
        var monthNames = ['Januari', 'Februari', 'Maart', 'April', 'Mei', 'Juni', 'Juli', 'Augutus', 'September', 'Oktober', 'November', 'December']
        var picker = new Pikaday({
          numberOfMonths: 1,
          field: document.getElementById('date'),
          firstDay: 1,
          minDate: new Date(2000, 0, 1),
          maxDate: new Date(2022, 12, 31),
          yearRange: [2000, 2022],
          i18n: {
            previousMonth: 'Vorige maand',
            nextMonth    : 'Volgende maand',
            months       : monthNames,
            weekdays     : ['Zondag', 'Maandag', 'Dinsday', 'Woensdag', 'Dondersdag', 'Vrijdag', 'Zaterdag'],
            weekdaysShort: ['Zo', 'Ma', 'Di', 'Wo', 'Do', 'Vr', 'Za']
          },
          disableDayFn: function(date) {
            var DD = ('0' + date.getDate()).slice(-2);
            var MM = ('0' + (date.getMonth() + 1)).slice(-2);
            var YYYY = date.getFullYear();
            var DDMMYYYY = DD + '/' + MM + '/' + YYYY;


            var x = document.querySelector('#boot');

            {% assign soldout = page.soldout | split: " " %}
            {% for date in soldout %}
              if( DDMMYYYY == "{{ date }}" ) { return date; }
            {% endfor %}

            {% assign electricsoldout = page.electricsoldout | split: " " %}
            {% for date in electricsoldout %}
              if( DDMMYYYY == "{{ date }}" && document.querySelector('#boot').value == 'Elektrisch'  ) { return date; }
            {% endfor %}

            {% assign buitenboordsoldout = page.buitenboordsoldout | split: " " %}
            {% for date in buitenboordsoldout %}
              if( DDMMYYYY == "{{ date }}" && document.querySelector('#boot').value == 'Buitenboordmotor'  ) { return date; }
            {% endfor %}


          },
          toString: function(date) {
            var parts = [date.getDate(), monthNames[date.getMonth()], date.getFullYear()];
            return parts.join(" ");
          },
          onSelect: function(date) {
            var DD = ('0' + date.getDate()).slice(-2);
            var MM = ('0' + (date.getMonth() + 1)).slice(-2);
            var YYYY = date.getFullYear();
            var DDMMYYYY = DD + '/' + MM + '/' + YYYY;
            const electricsoldout = [{{ electricsoldout | split: " " }}][0]
            const buitenboordsoldout = [{{ buitenboordsoldout | split: " " }}][0]
            const soldout = [{{ soldout | split: " " }}][0]
            disable(DDMMYYYY, electricsoldout, "Elektrisch")
            disable(DDMMYYYY, buitenboordsoldout, "Buitenboordmotor")
          }
        });
    </script>
  </body>
</html>
